Get Invoices
/unified/accounting/invoices/{id}
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
The type of the invoice
billinvoice
14 supported12 required13 notes
invoice reads customer invoices (/2.0/kb_invoice); bill reads supplier bills (/4.0/purchase/bills). bexio keeps them in unrelated APIs, so this is not optional.
Which collection the id belongs to. Required.
Which collection the record number belongs to. Required.
The type of the invoice
Which collection this id belongs to. Required.
Which document to read. Required.
The type of the invoice
The type of the invoice
Which document this id is expected to be. Required.
Which collection the id belongs to. Required.
The type of the invoice
The type of the invoice
invoice = customer billing documents (default), bill = supplier invoices.
The type of the invoice
billinvoice
1 supported1 required
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.debugreturns the final unified result alongside raw remote fetch information. The response is an envelope containingresult(identical to unified mode output) anddebug(withrequestUrl,requestOptions,data,responseHeaders, and for list operations:nextCursor,isLooping,isEmptyResult,resultCount). When the upstream body exceeds 1 MiB,datais replaced by{ truto_truncated: true, truto_max_bytes, truto_excerpt }.debugisnullfor static responses or whentruto_skip_api_call=true. An integrated account token that cannot read credentials (the kind the connect flow gives a browser) gets a403fordebug.
Defaults to unified.
unifiedunifiedrawnormalizedstreamdebug
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The unique identifier for invoices
20 supported
The remaining balance of the invoice
16 supported
The company the invoice belongs to
9 supported
The contact for whom the invoice is raised.
20 supported
The unique identifier for the contact
The name of the contact
The type of the contact - vendor or customer.
This represents the date when the invoice was created
18 supported
The currency of the invoice
20 supported
The due date of the invoice
19 supported
The exchange rate of the invoice
16 supported
The issue date of the invoice
19 supported
The line items of the invoice
18 supported
The ID of the account
The currency of the line item
The description of the line item
The exchange rate of the currency for the line item
The unique identifier for line item
The ID of the item
The name of the line item
The quantity of the line item
The ID of the tax rate
The total line amount of the line item.
Tracking categories of the line item
3 properties
The ID of the tracking category
The name of the tracking category
The option of the tracking category
The type of the line item
The unit price of the line item
The private note of the invoice
16 supported
The number of the invoice
20 supported
The paid on date of the invoice
5 supported
List of payment IDs associated with the invoice
5 supported
Raw data returned from the remote API call.
The status of the invoice
draftsubmitteddeletedauthorisedpaidvoided
19 supported
The sub total of the invoice
20 supported
The total discount of the invoice
10 supported
The total tax amount of the invoice
16 supported
Tracking categories of the invoices
6 supported
The ID of the tracking category
The name of the tracking category
The option of the tracking category
The type of the invoice
billinvoice
20 supported
This represents the date when the invoice was updated
20 supported
The invoice URLs
2 supported
Type of invoice URL
The invoice URL
truto unified accounting invoices '<resource_id>' \
-m get \
-a '<integrated_account_id>' \
-o jsonimport Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.get(
'accounting',
'invoices',
'<resource_id>',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.get(
"accounting",
"invoices",
"<resource_id>",
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())curl -X GET 'https://api.truto.one/unified/accounting/invoices/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/accounting/invoices/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/accounting/invoices/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())